# Uses of Class
org.eclipse.rap.json.JsonValue

Packages that use JsonValue
Package
Description
org.eclipse.rap.json
org.eclipse.rap.rwt.remote

## Uses of JsonValue in org.eclipse.rap.json

Subclasses of JsonValue in org.eclipse.rap.json
Modifier and Type
Class
Description
`class`
`JsonArray`
/** Represents a JSON array, i.e.
`class`
`JsonObject`
Represents a JSON object, i.e.
Fields in org.eclipse.rap.json declared as JsonValue
Modifier and Type
Field
Description
`static final JsonValue`
JsonValue.`FALSE`
Represents the JSON literal `false`.
`static final JsonValue`
JsonValue.`NULL`
The JSON literal `null`.
`static final JsonValue`
JsonValue.`TRUE`
Represents the JSON literal `true`.
Methods in org.eclipse.rap.json that return JsonValue
Modifier and Type
Method
Description
`JsonValue`
JsonArray.`get(int index)`
Returns the value of the element at the specified position in this array.
`JsonValue`
JsonObject.`get(String name)`
Returns the value of the member with the specified name in this object.
`JsonValue`
JsonObject.Member.`getValue()`
Returns the value of this member.
`static JsonValue`
JsonValue.`readFrom(Reader reader)`
Reads a JSON value from the given reader.
`static JsonValue`
JsonValue.`readFrom(String text)`
Reads a JSON value from the given string.
`static JsonValue`
JsonValue.`valueOf(boolean value)`
Returns a JsonValue instance that represents the given `boolean` value.
`static JsonValue`
JsonValue.`valueOf(double value)`
Returns a JsonValue instance that represents the given `double` value.
`static JsonValue`
JsonValue.`valueOf(float value)`
Returns a JsonValue instance that represents the given `float` value.
`static JsonValue`
JsonValue.`valueOf(int value)`
Returns a JsonValue instance that represents the given `int` value.
`static JsonValue`
JsonValue.`valueOf(long value)`
Returns a JsonValue instance that represents the given `long` value.
`static JsonValue`
JsonValue.`valueOf(String string)`
Returns a JsonValue instance that represents the given string.
Methods in org.eclipse.rap.json that return types with arguments of type JsonValue
Modifier and Type
Method
Description
`Iterator<JsonValue>`
JsonArray.`iterator()`
Returns an iterator over the values of this array in document order.
`List<JsonValue>`
JsonArray.`values()`
Returns a list of the values in this array in document order.
Methods in org.eclipse.rap.json with parameters of type JsonValue
Modifier and Type
Method
Description
`JsonArray`
JsonArray.`add(JsonValue value)`
Adds the specified JSON value to the array.
`JsonObject`
JsonObject.`add(String name, JsonValue value)`
Adds a new member at the end of this object, with the specified name and the specified JSON value.
`JsonArray`
JsonArray.`set(int index, JsonValue value)`
Replaces the element at the specified position in this array with the specified JSON value.
`JsonObject`
JsonObject.`set(String name, JsonValue value)`
Sets the value of the member with the specified name to the specified JSON value.

## Uses of JsonValue in org.eclipse.rap.rwt.remote

Methods in org.eclipse.rap.rwt.remote that return JsonValue
Modifier and Type
Method
Description
`static JsonValue`
JsonMapping.`toJson(Color color)`
Returns the JSON representation for the given Color.
`static JsonValue`
JsonMapping.`toJson(Color color, int alpha)`
Returns the JSON representation for the given Color with an additional alpha (opacity) value.
`static JsonValue`
JsonMapping.`toJson(Cursor cursor)`
Returns the JSON representation for the given Cursor.
`static JsonValue`
JsonMapping.`toJson(Font font)`
Returns the JSON representation for the given Font.
`static JsonValue`
JsonMapping.`toJson(FontData fontData)`
Returns the JSON representation for the given FontData.
`static JsonValue`
JsonMapping.`toJson(Image image)`
Returns the JSON representation for the given Image.
`static JsonValue`
JsonMapping.`toJson(Point point)`
Returns the JSON representation for the given Point.
`static JsonValue`
JsonMapping.`toJson(Point[] points)`
Returns the JSON representation for the given array Point.
`static JsonValue`
JsonMapping.`toJson(Rectangle rect)`
Returns the JSON representation for the given Rectangle.
`static JsonValue`
JsonMapping.`toJson(RGB rgb)`
Returns the JSON representation for the given RGB.
`static JsonValue`
JsonMapping.`toJson(RGB rgb, int alpha)`
Returns the JSON representation for the given RGB with an additional alpha (opacity) value.
`static JsonValue`
JsonMapping.`toJson(Widget widget)`
Returns the JSON representation for the given Widget.
`static JsonValue`
JsonMapping.`toJson(Widget[] widgets)`
Returns the JSON representation for the given array of widgets.
Methods in org.eclipse.rap.rwt.remote with parameters of type JsonValue
Modifier and Type
Method
Description
`static Point`
JsonMapping.`readPoint(JsonValue value)`
Returns an instance of Point for the given JSON representation.
`static Rectangle`
JsonMapping.`readRectangle(JsonValue value)`
Returns an instance of Rectangle for the given JSON representation.
`static RGB`
JsonMapping.`readRGB(JsonValue value)`
Returns an instance of RGB for the given JSON representation.
`void`
RemoteObject.`set(String name, JsonValue value)`
Sets the specified property of the remote object to the given value.